<?php

use yii\db\Migration;

/**
 * Class m240806_220757_tabla_color
 */
class m240806_220757_tabla_color extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('Color', [
            "id" => $this->string(36),
            "clave" => $this->string(100)->notNull(),
            "color" => $this->string(100)->notNull(),
            "descripcion" => $this->string(100)->notNull(),
            "creado" => $this->timestamp()->append(" with time zone"),
            "modificado" => $this->timestamp()->append(" with time zone"),
            "eliminado" => $this->timestamp()->append(" with time zone"),
        ]);

        $this->addPrimaryKey('ColorPK', 'Color', 'id');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable("Color");
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m240806_220757_tabla_color cannot be reverted.\n";

        return false;
    }
    */
}
