<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "Color".
 *
 * @property string $id
 * @property string $clave
 * @property string $color
 * @property string $descripcion
 * 
 */
class Color extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'Color';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id', 'clave', 'color'], 'required'],
            [['descripcion'], 'string'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['id'], 'string', 'max' => 36],
            [['clave', 'color'], 'string', 'max' => 100],
            [['id'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'clave' => 'Clave',
            'color' => 'Color',
            'descripcion' => 'Descripcion',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }
}
